# Uses of Class
net.sf.statcvs.model.VersionedFile

Packages that use VersionedFile
Package
Description
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.
net.sf.statcvs.model
Classes providing a representation of all log data in a repository.
net.sf.statcvs.output
net.sf.statcvs.renderer

## Uses of VersionedFile in net.sf.statcvs.input

Methods in net.sf.statcvs.input that return VersionedFile
Modifier and Type
Method
Description
`VersionedFile`
FileBuilder.`createFile(Date beginOfLogDate)`
Creates and returns a `VersionedFile` representation of the file.

## Uses of VersionedFile in net.sf.statcvs.model

Methods in net.sf.statcvs.model that return VersionedFile
Modifier and Type
Method
Description
`VersionedFile`
Revision.`getFile()`
Returns the file which was changed by this revision.
Methods in net.sf.statcvs.model with parameters of type VersionedFile
Modifier and Type
Method
Description
`void`
Module.`addFile(VersionedFile vf)`
`void`
Repository.`addFile(VersionedFile file)`
Adds one file to the repository.
Constructors in net.sf.statcvs.model with parameters of type VersionedFile
Modifier
Constructor
Description
``
`Revision(VersionedFile file, String revisionNumber, int type, Author author, Date date, String comment, int lines, int linesDelta, int linesReplaced, SortedSet symbolicNames)`
Creates a new revision of a file with the specified revision number.

## Uses of VersionedFile in net.sf.statcvs.output

Methods in net.sf.statcvs.output with parameters of type VersionedFile
Modifier and Type
Method
Description
`String`
ChoraIntegration.`getFileHistoryUrl(VersionedFile file)`
`String`
CvswebIntegration.`getFileHistoryUrl(VersionedFile file)`
`String`
JCVSWebIntegration.`getFileHistoryUrl(VersionedFile file)`
`String`
TracIntegration.`getFileHistoryUrl(VersionedFile file)`
`String`
ViewCvsIntegration.`getFileHistoryUrl(VersionedFile file)`
`String`
WebRepositoryIntegration.`getFileHistoryUrl(VersionedFile file)`
Returns a URL to a file in the web repository browser.
`protected String`
ViewCvsIntegration.`getFileUrl(VersionedFile file, String parameter)`
`protected String`
ViewVcIntegration.`getFileUrl(VersionedFile file, String parameter)`
`String`
ChoraIntegration.`getFileViewUrl(VersionedFile file)`
`String`
CvswebIntegration.`getFileViewUrl(VersionedFile file)`
`String`
JCVSWebIntegration.`getFileViewUrl(VersionedFile file)`
`String`
TracIntegration.`getFileViewUrl(VersionedFile file)`
`String`
ViewCvsIntegration.`getFileViewUrl(VersionedFile file)`
`String`
WebRepositoryIntegration.`getFileViewUrl(VersionedFile file)`
Returns a URL to a file in the web repository browser.
`protected boolean`
ViewCvsIntegration.`isInAttic(VersionedFile file)`

## Uses of VersionedFile in net.sf.statcvs.renderer

Methods in net.sf.statcvs.renderer with parameters of type VersionedFile
Modifier and Type
Method
Description
`void`
HTMLTableCellRenderer.`renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)`
Render a cell containing a file to HTML
`void`
TableCellRenderer.`renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)`
Render a cell containing a file
`void`
XMLRenderer.`renderFileCell(VersionedFile file, boolean withIcon, WebRepositoryIntegration webRepository)`
Render a cell containing a file to XML